#!/bin/bash

rm -f nsie_mpi.gnuplot nsie_single.gnuplot nsie_single.fits nsie_mpi.fits

NUM=2000
cat << EOF | mpirun -n 4 graleshellmpi -
lens/new/nsie 1272.46 1300 0.8 1.5
lens/plot/gnuplot nsie_single.gnuplot -40 -40 40 40 $NUM $NUM
lens/plot/gnuplot/mpi nsie_mpi.gnuplot -40 -40 40 40 $NUM $NUM

lens/plot/fits nsie_single.fits -40 -40 40 40 $NUM $NUM
lens/plot/fits/mpi nsie_mpi.fits -40 -40 40 40 $NUM $NUM

EOF

X=`diff -u nsie_mpi.gnuplot nsie_single.gnuplot 2>&1`
if [ -z "$X" ] ; then
	echo "MPI and local gnuplot plot results match"
else
	echo "ERROR: MPI and local gnuplot plot results differ!"
	exit -1
fi

X=`diff -u nsie_mpi.fits nsie_single.fits 2>&1`
if [ -z "$X" ] ; then
	echo "MPI and local FITS plot results match"
else
	echo "ERROR: MPI and local FITS plot results differ!"
	exit -1
fi

